﻿@model Teste1.Models.ExternalLoginListViewModel
@using Microsoft.Owin.Security

<h4>Use outro serviço para fazer login.</h4>
<hr />
@{
    var loginProviders = Context.GetOwinContext().Authentication.GetExternalAuthenticationTypes();
    if (loginProviders.Count() == 0) {
        <div>
            <p>
                Não há nenhum serviço de autenticação externo configurado. Consulte <a href="http://go.microsoft.com/fwlink/?LinkId=403804">este artigo</a>
                para obter detalhes sobre como configurar esse aplicativo ASP.NET para oferecer suporte a logon por serviços externos.
            </p>
        </div>
    }
    else {
        using (Html.BeginForm("ExternalLogin", "Account", new { ReturnUrl = Model.ReturnUrl })) {
            @Html.AntiForgeryToken()
            <div id="socialLoginList">
                <p>
                    @foreach (AuthenticationDescription p in loginProviders) {
                        <button type="submit" class="btn btn-default" id="@p.AuthenticationType" name="provider" value="@p.AuthenticationType" title="Faça login usando sua conta @p.Caption">@p.AuthenticationType</button>
                    }
                </p>
            </div>
        }
    }
}
